> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SOL balance of user wallet



## OpenAPI

````yaml /openapi.json get /api/v1/solana/balance
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/solana/balance:
    get:
      tags:
        - Solana Wallet
      summary: Get SOL balance of user wallet
      operationId: SolanaController_getNativeBalance
      parameters:
        - name: network
          required: false
          in: query
          description: Solana network to use
          schema:
            $ref: '#/components/schemas/SolanaNetwork'
      responses:
        '500':
          description: Internal server error
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    SolanaNetwork:
      type: string
      enum:
        - mainnet-beta
        - devnet
        - testnet
    BalanceResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/BalanceDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    BalanceDto:
      type: object
      properties:
        balance:
          type: string
      required:
        - balance
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````